%define LANG fr
%define version 0.9.3
%define release 28mdk
%define patch_ver 0.9.2-tvtree1

%define _mandir2 /usr/X11R6/man

Summary:	French man (manual) pages from the Linux Documentation Project.
Name:		man-pages-%{LANG}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:	System/Internationalization
URL: 	http://perso.club-internet.fr/ccb/
Source:	ftp://ftp.lip6.fr/pub/linux/french/docs/man-fr-%{version}.tar.bz2 
Source1: makewhatis.%{LANG}.bz2
Source2: man-pages-%{LANG}-goodies.tar.bz2
Source3: http://www.delafond.org/traducmanfr/mansupfr.tar.bz2
Source4: printers.conf.5
Patch0:	ftp://ftp.mandrakesoft.com/pub/tv/man-fr/%{name}-%{patch_ver}.diff.bz2
#Patch1:	man-pages-fr-tvfix.patch.bz2
Patch5:	man-pages-fr-0.9.3-typos.diff.bz2
Icon:		books-%{LANG}.xpm
Buildroot: %{_tmppath}/%{name}-root
Autoreqprov: false
BuildArchitectures: noarch
Requires: locales-%{LANG}
Obsoletes:	man-%{LANG}, manpages-%{LANG}
Provides:	man-%{LANG}, manpages-%{LANG}

%description
A large collection of man pages (reference material) from the Linux 
Documentation Project (LDP), translated to French.  The man pages are
organized into the following sections:

        Section 1:  User commands (intro only)
        Section 2:  System calls
        Section 3:  Libc calls
        Section 4:  Devices (e.g., hd, sd)
        Section 5:  File formats and protocols (e.g., wtmp, /etc/passwd,
                nfs)
        Section 6:  Games (intro only)
        Section 7:  Conventions, macro packages, etc. (e.g., nroff, ascii)
        Section 8:  System administration (intro only)
        Section 9:  Kernel routines

%prep
%setup -n man-fr -a3
%patch0 -p1
%patch5 -p0

%build
cp -f %SOURCE4 pagesdeman/usr/share/man/fr/man5
ln -f pagesdeman/debian/apt-extracttemplates_fr.1 pagesdeman/%_mandir/fr/man1/
for i in man{1,2,3,4,5,6,7,8}; do mv pagesdeman%_mandir/fr/$i/* $i||true;done

%install
(cd man7; ln -sf iso_8859-1.7 latin1.7; ln -sf iso_8859-1.7 iso_8859_7.7)
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_mandir2}/%{LANG}/man{1,2,3,4,5,6,7}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/%{LANG}/man{1,2,3,4,5,6,7}
for i in man{1,3,4,5}; do ln pagesdeman%_mandir2/fr/$i/*  $RPM_BUILD_ROOT/%{_mandir2}/%{LANG}/$i;done

mkdir -p $RPM_BUILD_ROOT//%{LANG}/man{1,2,3,4,5,6,7,8,9,n}
mkdir -p $RPM_BUILD_ROOT/var/catman/%{LANG}/cat{1,2,3,4,5,6,7,8,9,n}

for i in 1 2 3 4 5 7 8 9 ; do
	cp -adpvrf man$i $RPM_BUILD_ROOT/%{_mandir}/%{LANG}/
done

#this file is from initscripts
rm $RPM_BUILD_ROOT/%{_mandir}/fr/man8/usernetctl.8*

tar jxvf %SOURCE2 -C $RPM_BUILD_ROOT/usr

mkdir -p $RPM_BUILD_ROOT/usr/sbin
bzcat %SOURCE1 > \
	$RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG}
chmod a+rx $RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG}

$RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG} \
        $RPM_BUILD_ROOT/%{_mandir}/%{LANG}

mkdir -p $RPM_BUILD_ROOT/etc/cron.weekly
cat > $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%{LANG}.cron << EOF
#!/bin/bash
/usr/sbin/makewhatis.%{LANG} /%{_mandir}/%{LANG}
exit 0
EOF
chmod a+x $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%{LANG}.cron
touch $RPM_BUILD_ROOT/%{_mandir}/%{LANG}



%post
/etc/cron.weekly/makewhatis-%{LANG}.cron
touch %{_mandir}/%{LANG}/whatis

%postun
# 0 means deleting the package
if [ "$1" = "0" ]; then
   ## Force removing of /var/catman/%{LANG}, if there isn't any man page
   ## directory /%{_mandir}/%{LANG}
   if [ ! -d /%{_mandir}/%{LANG} ] ; then
       /bin/rm -rf /var/catman/%{LANG}
   fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,man,755)
%doc LISEZ_MOI changements
%dir %{_mandir}/%{LANG}
%dir %{_mandir2}/%{LANG}
%{_mandir}/%{LANG}/man*
%{_mandir2}/%{LANG}/man*
%ghost %{_mandir}/%{LANG}/whatis
%attr(775,root,man)/var/catman/%{LANG}
%attr(755,root,root)/usr/sbin/makewhatis.%{LANG}
%config(noreplace) %attr(755,root,root)/etc/cron.weekly/makewhatis-%{LANG}.cron

%changelog
* Tue Mar 12 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-28mdk
- add XGetWindowAttributes.3x, XCirculateSubwindowsDown.3x,
      XWindowAttributes.3x, XLowerWindow.3x, XUninstallColormap.3x,
      XCirculateSubwindowsUp.3x, XRestackWindows.3x, XInstallColormap.3x,
      XGetGeometry.3x, XListInstalledColormaps.3x, XCirculateSubwindows.3x,
      XRaiseWindow.3x

* Tue Mar 12 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-27mdk
- add crl.1 and crl2pkcs7.1

* Mon Mar 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-26mdk
- add : printers.conf.5, reject.8, lpc.8, vidmode.8, rootflags.8,
        cupsaddsmb.8, cups-lpd.8, accept.8, cups-config.3, ramsize.8,
        classes.conf.5, cups-polld.8, backend.1, lpinfo.8

* Fri Mar 08 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-25mdk
- add rcp.1, rsyncd.conf.5, mime.convs.5, rdev.8
- don't use tar y
- use ln rather than cp to do faster %%build
- really add apt-extracttemplates_fr.1

* Thu Mar 07 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-24mdk
- 

* Thu Mar 07 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-24mdk
- add lp.1, lpq-cups.1, lpr.1, lprm.1, lpstat.1, rsh.1, mime.types.5,
  printers.conf.5

* Mon Mar 04 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-23mdk
- add ciphers.1, eject.1, openssl.1, rlogin.1, pysol.6, anacron.8

* Mon Feb 25 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-22mdk
- add rlogin.1, pingus.1, pysol.6
- fix another typo

* Wed Feb 20 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-21mdk
- fix typos
- add bibtex.1

* Tue Feb 19 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-20mdk
- more man pages :
  ca.1, latex.1, asn1parse.1, uuidgen.1, CA.pl.1, swapon.8, fsck.vfat.8,
  swapoff.8.bz2, fsck.8, dosfsck.8, tune2fs.8, e2fsck.8, fsck.msdos.8,
  dhcrelay.8, apt-extracttemplates_fr.1

* Mon Feb 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-19mdk
- more man pages

* Tue Feb 05 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-18mdk
- more man pages

* Tue Jan 29 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-17mdk
- more man-pages: samba.7 smbclient.1 smbmnt.8 smbmount.8 smbpasswd.8
  dhcpxd.8 dhcpcd.8

* Fri Jan 18 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-16mdk
- more man-pages

* Thu Jan 10 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-15mdk
- as usual, more man-pages ...

* Thu Jan 03 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-14mdk
- update

* Thu Dec 20 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-13mdk
- more man-pages

* Tue Dec 11 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-12mdk
- more man-pages

* Sun Dec 02 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-11mdk
- 2666 lines patch of more spell fixes :-(
- remove an html file that gerard let go out :-(

* Sun Dec 02 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-10mdk
- more man-pages
- some spell fixes
- readd man-pages no more provided by net-tools

* Tue Nov 27 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-9mdk
- more man pages

* Mon Nov 19 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-8mdk
- more man-pages
- up to new macros

* Sun Nov 11 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-7mdk
- more man-pages

* Thu Nov 08 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-6mdk
- add supp man-pages url
- more man-pages

* Sun Nov 04 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-5mdk
- more man pages

* Wed Oct 31 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-4mdk
- more man pages

* Thu Oct 25 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-3mdk
- add X11 man pages

* Thu Oct 25 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-2mdk
- add 170 man-pages from Grard Delafond (some were moved from man-fr which
  only has LPD ones now to Grard set + some new ones)

* Thu Oct 25 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-1mdk
- new release

* Thu Sep 20 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.2-3mdk
- remove non utf-8 translations (rpm sucks)
- we obsoletes manpages-%%{LANG}, so we should provide it too

* Mon Sep 17 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.9.2-2mdk
- fixed conflict with initscripts

* Wed Aug 08 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.2-1mdk
- minor spec cleaning
- new release

* Thu Mar 01 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9-1mdk
- new release (remove those of my patches that are now integrated)

* Wed Feb 28 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8-10mdk
- resync bash.1 with bash-2.0.4

* Wed Aug 09 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8-9mdk
- add various fixes i got from gael and erwan

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8-8mdk
- fix tmppath

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8-7mdk
- fix permissions

* Tue Jul 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8-6mdk
- readd  apropos.1,whatis.1, and man.config.5

* Tue Jul 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8-5mdk
- build release for BM

* Wed Jun 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8-4mdk
- fix permission on /usr/doc/man-pages-fr* so that everybody can read it

* Wed Jun 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8-3mdk
- use %{_mandir} to prepare FHS respect

* Thu Mar 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8-2mdk
- convert to new group scheme
- use spechelper
- fix build as user (the makewhatis that was added at the end of the rpm
  process try to write on /root/whatis ...)
- fix problem with spechelper with links on links on files.

* Fri Feb 25 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.8-1mdk
- Tadaa! 0.8 is out (thanks Thierry)

* Thu Jan 20 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- fixes and corrections from Thierry Vignaud

* Wed Dec 22 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added 'man drake' from Aleksey Smirnov

* Thu Dec 09 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- more man-pages ...
- fix non-root build

* Thu Dec 07 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add some new (25+) manpages that were present in LDP's english man-pages but
  not in french ones with the benediction of C. Blaess which will wait before
  releasing man-fr-1.28 (he's thinking about using the LDP versionning system
  as soon as we have all the manpages).

  Here is a partial list of new manpages :
  dir(1), intro(1), vdir(1),
  capget(2), capset(2), lchown(2), pread(2), sendfile(2),
  MB_CUR_MAX(3), MB_LEN_MAX(3), bindresvport(3), getrpcport(3), wcslen(3),
      fgetwc(3), getwc(3)
  fifo(4),
  hosts.equiv(5), rpc(5),
  sync(8),
  init_module(9), probe_irq_off(9), probe_irq_on(9), proc_dir_entry(9),
      proc_register(9), proc_register_dynamic(9), proc_unregister(9)

- also fix some typos (some of mine though)

* Fri Nov 19 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- moved makewhatis.%{LANG} from /usr/local/sbin to /usr/sbin

* Fri Aug 20 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- corrected typos in french description

* Tue Jul 20 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- included some nice improvements from man-pages-pl

* Tue Jul  8 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- updated description

* Wed Jul  7 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- changed the name from man-fr to man-pages-fr, to make it consistent
  with the english man pages package.
- updated to version 0.7 of french man pages
- merged with the rpm package I mantained before; that is I added an icon,
  the /var/catman/fr tree, a makewhatis.fr script, and a cron entry to run it  

* Fri May 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for new environnement.

* Tue Apr 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Initial version.
- Add a script for /etc/man.config

